Bug 632240 - CVE-2010-3082 Django CSRF flaw [fedora-all]
Summary: CVE-2010-3082 Django CSRF flaw [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Django
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-3082
TreeView+ depends on / blocked
 
Reported: 2010-09-09 13:43 UTC by Josh Bressers
Modified: 2010-09-23 12:57 UTC (History)
6 users (show)

Fixed In Version: Django-1.2.3-1.fc14
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-23 12:57:27 UTC
Type: ---


Attachments (Terms of Use)

Description Josh Bressers 2010-09-09 13:43:36 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=632239

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Steve Milner 2010-09-09 13:47:09 UTC
I'm working on the update now.

Comment 2 Toshio Ernie Kuratomi 2010-09-09 15:06:46 UTC
More information:

http://www.djangoproject.com/weblog/2010/sep/08/security-release/

Affects Django 1.2 series up to 1.2.2

Comment 3 Steve Milner 2010-09-09 16:31:44 UTC
Packages have been built and are requested for testing in Bodhi.

Comment 4 Steve Milner 2010-09-09 20:05:29 UTC
I've changed the request to go to stable after running the F13 build with one of my own applications.

Comment 5 Steve Milner 2010-09-10 01:52:38 UTC
Scratch that ... the update in bodhi was changed to go to testing (maybe it's automagic?). I guess we will wait until then.

Comment 6 Steve Milner 2010-09-10 19:47:22 UTC
Ah. This security fix will be available late next week per https://fedoraproject.org/wiki/Package_update_acceptance_criteria as it was changed from stable to testing by bodhi.

Comment 7 Steve Milner 2010-09-10 20:06:08 UTC
Filed a request with FESCo: https://fedorahosted.org/fesco/ticket/462

Comment 8 Silas Sewell 2010-09-11 23:18:57 UTC
Additional update:

http://www.djangoproject.com/weblog/2010/sep/10/123/

Today the Django team has released Django 1.2.3, which remedies several issues with the recent 1.2.2 package.

This package corrects the following problems:

    * The patch applied for the security issue covered in Django 1.2.2 caused issues with non-ASCII responses using CSRF tokens. This has been remedied.
    * The patch also caused issues with some forms, most notably the user-editing forms in the Django administrative interface. This has been remedied.
    * The packaging manifest did not contain the full list of required files. This has been remedied.

All users of Django are encouraged to upgrade to Django 1.2.3 immediately; the 1.2.3 package can be obtained from the Django downloads page, and as always signed checksums for the package are available.

Comment 9 Steve Milner 2010-09-13 16:04:12 UTC
Thanks for the notice. I didn't seem to get this one in my email (as a packager). I'll upgrade it as soon as possible.

Comment 10 Fedora Update System 2010-09-13 18:52:36 UTC
Django-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Django-1.2.3-1.fc13

Comment 11 Fedora Update System 2010-09-13 18:52:44 UTC
Django-1.2.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Django-1.2.3-1.fc14

Comment 12 Fedora Update System 2010-09-13 18:52:52 UTC
Django-1.2.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Django-1.2.3-1.fc12

Comment 13 Fedora Update System 2010-09-15 06:53:17 UTC
Django-1.2.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Django-1.2.3-1.fc14

Comment 14 Fedora Update System 2010-09-23 12:57:17 UTC
Django-1.2.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.